Subject: bug#66508: 30.0.50; Emacs Android port crashes due to link error when build with libxml2 and ImageMagick7

From: Po Lu <[email-masked]>
Date: Thu, 11 Jan 2024 09:29:05 +0800

Stefan Kangas <[email-masked]> writes:

> Po Lu, could you take a look at this one?  Thanks in advance.

If I'm not mistaken, the ImageMagick repository provides its own copy of
libxml2 with dependencies that conflict with those users are directed to
install in java/INSTALL.  Ayanokoji-san, is Emacs compatible with
ImageMagick's libxml2?  (This can be established by verifying that Emacs
continues to detect libxml2 and build after removing the standard
libxml2 from --with-ndk-path.)